angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope, $ionicModal, $timeout) {
  
  // With the new view caching in Ionic, Controllers are only called
  // when they are recreated or on app start, instead of every page change.
  // To listen for when this page is active (for example, to refresh data),
  // listen for the $ionicView.enter event:
  //$scope.$on('$ionicView.enter', function(e) {
  //});
//  $cordovaSplashscreen.show();
  
})


.controller('ProgramasCtrl', function($scope) {
  $scope.programas = [
    { title: 'Atividades da Presidenta', link: 'pgr_atividades' },
    { title: 'Atividades da Presidenta', link: 'pgr_governo' },
    { title: 'Bom Dia, Ministro', link: 'pgr_bdm' },
    { title: 'Brasil em Pauta', link: 'pgr_bep' },
    { title: 'NBR Notícias', link: 'pgr_nbrnoticias' },
    { title: 'NBR Entrevista', link: 'pgr_nbrentrevista' },
    { title: 'Cenas do Brasil', link: 'pgr_cenasdobrasil' },
    { title: 'Conexão Ciência', link: 'pgr_conexaociencia' },
    { title: 'Panorama IPEA', link: 'pgr_panoramaipea' }
  ];
})

.controller('DestaquesCtrl', function($scope, $sce ) {

    $scope.endereco = $sce.trustAsResourceUrl("http://conteudo.ebcservicos.com.br/streaming/nbr-include-mobile");

//	if($cordovaNetwork.isOnline()) {
//	} else {
//	    $scope.endereco = $sce.trustAsResourceUrl("http://conteudo.ebcservicos.com.br/streaming");
//	}



})


.controller('NetCtrl', function($scope) {
  $scope.cidades = [
    { cidade:'Alvorada', canal: '19', },
    { cidade:'Viamão', canal: '19', },
    { cidade:'Americana', canal: '6', },
    { cidade:'Anápolis', canal: '12', },
    { cidade:'Aparecida de Goiânia', canal: '10', },
    { cidade:'Aparecida', canal: '14', },
    { cidade:'Aracaju', canal: '5', },
    { cidade:'Araçatuba', canal: '8', },
    { cidade:'Arapongas', canal: '14', },
    { cidade:'Araraquara', canal: '23', },
    { cidade:'Bagé', canal: '19', },
    { cidade:'Barueri', canal: '5', },
    { cidade:'Bauru', canal: '5', },
    { cidade:'Belém', canal: '6', },
    { cidade:'Belo Horizonte', canal: '2', },
    { cidade:'Bento Gonçalves', canal: '19', },
    { cidade:'Bertioga', canal: '7', },
    { cidade:'Betim', canal: '2', },
    { cidade:'Blumenau', canal: '12', },
    { cidade:'Botucatu', canal: '3', },
    { cidade:'Bragança Paulista', canal: '6', },
    { cidade:'Brasília', canal: '14', },
    { cidade:'Cabedelo', canal: '5', },
    { cidade:'Campina Grande', canal: '5', },
    { cidade:'Campinas', canal: '6', },
    { cidade:'Campo Grande', canal: '8', },
    { cidade:'Canoas', canal: '19', },
    { cidade:'Capão da Canoa', canal: '19', },
    { cidade:'Cariacica', canal: '5', },
    { cidade:'Caruaru', canal: '10', },
    { cidade:'Cascavel', canal: '6', },
    { cidade:'Caxias do Sul', canal: '10', },
    { cidade:'Chapecó', canal: '19', },
    { cidade:'Cianorte', canal: '23', },
    { cidade:'Colombo', canal: '10', },
    { cidade:'Contagem', canal: '2', },
    { cidade:'Criciúma', canal: '14', },
    { cidade:'Cruz Alta', canal: '19', },
    { cidade:'Cuiabá', canal: '6', },
    { cidade:'Curitiba', canal: '10', },
    { cidade:'Esteio', canal: '19', },
    { cidade:'Farroupilha', canal: '19', },
    { cidade:'Florianópolis', canal: '5', },
    { cidade:'Fortaleza', canal: '186', },
    { cidade:'Franca', canal: '10', },
    { cidade:'Goiânia', canal: '10', },
    { cidade:'Goitacazes', canal: '4', },
    { cidade:'Governador Valadares', canal: '2', },
    { cidade:'Gravataí', canal: '19', },
    { cidade:'Guarulhos', canal: '5', },
    { cidade:'Itajaí', canal: '12', },
    { cidade:'Itapetininga', canal: '6', },
    { cidade:'Itu', canal: '6', },
    { cidade:'Jaú', canal: '5', },
    { cidade:'João Pessoa', canal: '5', },
    { cidade:'Joinville', canal: '14', },
    { cidade:'Juiz De Fora', canal: '4', },
    { cidade:'Jundiaí', canal: '8', },
    { cidade:'Lajeado', canal: '19', },
    { cidade:'Limeira', canal: '6', },
    { cidade:'Londrina', canal: '14', },
    { cidade:'Macaé', canal: '4', },
    { cidade:'Maceió', canal: '5', },
    { cidade:'Manaus', canal: '10', },
    { cidade:'Marília', canal: '20', },
    { cidade:'Maringá', canal: '20', },
    { cidade:'Mesquita', canal: '4', },
    { cidade:'Mogi das Cruzes', canal: '5', },
    { cidade:'Natal', canal: '7', },
    { cidade:'Niterói', canal: '4', },
    { cidade:'Nova Lima', canal: '2', },
    { cidade:'Nova Odessa', canal: '6', },
    { cidade:'Novo Hamburgo', canal: '19', },
    { cidade:'Osasco', canal: '5', },
    { cidade:'Palmas', canal: '6', },
    { cidade:'Passo Fundo', canal: '23', },
    { cidade:'Pelotas', canal: '10', },
    { cidade:'Petrópolis', canal: '4', },
    { cidade:'Piracicaba', canal: '3', },
    { cidade:'Ponta Grossa', canal: '23', },
    { cidade:'Porto Alegre', canal: '19', },
    { cidade:'Porto Velho', canal: '5', },
    { cidade:'Recife', canal: '10', },
    { cidade:'Resende', canal: '6', },
    { cidade:'Ribeirão Preto', canal: '7', },
    { cidade:'Rio Branco', canal: '6', },
    { cidade:'Rio Claro', canal: '6', },
    { cidade:'Rio De Janeiro', canal: '4', },
    { cidade:'Rio Grande', canal: '9', },
    { cidade:'Sabará', canal: '2', },
    { cidade:'Salto', canal: '6', },
    { cidade:'Salvador', canal: '10', },
    { cidade:'Santa Maria', canal: '23', },
    { cidade:'Santos', canal: '7', },
    { cidade:'São Carlos', canal: '3', },
    { cidade:'São José dos Campos', canal: '14', },
    { cidade:'São José do Rio Preto', canal: '6', },
    { cidade:'São José', canal: '5', },
    { cidade:'São Leopoldo', canal: '19', },
    { cidade:'São Luís', canal: '7', },
    { cidade:'São Paulo', canal: '5', },
    { cidade:'Sapiranga', canal: '19', },
    { cidade:'Serra', canal: '5', },
    { cidade:'Sertãozinho', canal: '7', },
    { cidade:'São José dos Pinhais', canal: '10', },
    { cidade:'Sorocaba', canal: '2', },
    { cidade:'Santa Bárbara', canal: '6', },
    { cidade:'Santa Cruz do Sul', canal: '19', },
    { cidade:'Santo André', canal: '5', },
    { cidade:'Taubaté', canal: '14', },
    { cidade:'Teresina', canal: '9', },
    { cidade:'Teresópolis', canal: '4', },
    { cidade:'Uberaba', canal: '6', },
    { cidade:'Uberlândia', canal: '6', },
    { cidade:'Uruguaiana', canal: '19', },
    { cidade:'Verspasiano', canal: '2', },
    { cidade:'Vitória', canal: '5', },
    { cidade:'Volta Redonda', canal: '6', },
    { cidade:'Votorantim', canal: '2', },
  ];
});


